package com.swagger.rest.repositories

import com.swagger.rest.models.Bug
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.JpaSpecificationExecutor
import org.springframework.data.jpa.repository.Query

interface BugRepository : JpaRepository<Bug, Long>, JpaSpecificationExecutor<Bug> {

    @Query("SELECT COUNT(0) FROM bug WHERE platform IN (SELECT platform FROM platform WHERE project_id IN (SELECT project_id FROM project WHERE OWNER=?1 UNION SELECT project_id FROM project_member WHERE role=2 AND user_id=?1))", nativeQuery = true)
    fun validOwnerAdmin(owner: String?): Int

}